<?php

  if( $_POST[pro] ){

    $Position   = '../../../';
    require_once($Position.'config/config.php');
    require_once($Position.'config/conexion.php');
    require_once($Position.'config/user.php');
    require_once($Position.'funciones/funciones.php');

    $Pro = $_POST[pro];
    $Pos = $_POST[pos];

    //Producto
    $Query = "
      SELECT
        pro.Id, pro.NombreInterno, pro.NoIdentificacion, pro.Descripcion,
        pro.PrecioUnitario, pro.CuentaPredial, pro.ClaveSAT, pro.UnidadSAT
      FROM CatalogoProductos pro
      WHERE pro.Id = '$Pro'
        AND pro.Fk_Cuenta = '$Cuenta[Id]'
    ";
    $Result = mysqli_query($mysqli, $Query);
    $Pro = mysqli_fetch_assoc($Result);

  }

  if( $Action == 'Edit' ){

    $Pos = $CountConceptos;

    //Producto
    $Query = "
      SELECT
        pro.Id, pro.NombreInterno, pro.NoIdentificacion, pro.Descripcion,
        pro.PrecioUnitario, pro.CuentaPredial, pro.ClaveSAT, pro.UnidadSAT
      FROM CatalogoProductos pro
      WHERE pro.Id = '$Con[Fk_Producto]'
        AND pro.Fk_Cuenta = '$Cuenta[Id]'
    ";
    $Result = mysqli_query($mysqli, $Query);
    $Pro = mysqli_fetch_assoc($Result);

  }

?>
<tr class="Producto">

  <!-- Input Pos -->
  <input
    type="hidden"
    name="ProductoPos[]"
    value="<?php echo $Pos; ?>"
  />
  <!-- End Input Pos -->

  <!-- Input Action -->
  <input
    type="hidden"
    name="Producto[<?php echo $Pos; ?>][Action]"
    value="<?php if( $Action == 'Edit' ){ echo "Edit"; }else{ echo "New"; } ?>"
  />
  <!-- End Input Action -->

  <?php if( $Action == 'Edit' ){ ?>
    <!-- Input Id -->
    <input
      type="hidden"
      name="Producto[<?php echo $Pos; ?>][Id]"
      value="<?php echo $Con[Id]; ?>"
    />
    <!-- End Input Id -->
  <?php } ?>

  <!-- IdProducto -->
  <input
    type="hidden"
    name="Producto[<?php echo $Pos; ?>][IdProducto]"
    value="<?php echo $Pro[Id]; ?>"
  />
  <!-- End IdProducto -->

  <!-- Descripcion -->
  <td>
    <!-- Descripcion -->
    <textarea
      data-required="true"
      class="form-control"
      name="Producto[<?php echo $Pos; ?>][Descripcion]"
      <?php if( $Prefac[Fk_Origen] == '2' ){ ?>
        readonly
      <?php } ?>
    ><?php
      if( $Action == 'Edit' ){
        echo $Con[Descripcion];
      }else{
        echo $Pro[Descripcion];
      }
    ?></textarea>
    <!-- End Descripcion -->
  </td>
  <!-- End Descripcion -->

  <!-- Claves -->
  <td>
    <div class="text-center m-b-10">
      <label style="margin:0px; font-size:12px;">Clave</label>
      <!-- Clave -->
      <input
        class="form-control text-center"
        readonly
        value="<?php
          if( $Action == 'Edit' ){
            echo $Con[Clave];
          }else{
            echo $Pro[ClaveSAT];
          }
        ?>"
        name="Producto[<?php echo $Pos; ?>][Clave]"
      />
      <!-- End Clave -->
    </div>
    <div class="text-center">
      <label style="margin:0px; font-size:12px;">Unidad</label>
      <!-- Unidad -->
      <input
        class="form-control text-center"
        readonly
        value="<?php
          if( $Action == 'Edit' ){
            echo $Con[Unidad];
          }else{
            echo $Pro[UnidadSAT];
          }
        ?>"
        name="Producto[<?php echo $Pos; ?>][Unidad]"
      />
      <!-- End Unidad -->
    </div>
  </td>
  <!-- End Claves -->

  <!-- Precio -->
  <td>
    <!-- Precio -->
    <input
      data-required="true"
      data-type="number"
      class="form-control text-right font-size-13px Precio"
      name="Producto[<?php echo $Pos; ?>][Precio]"
      <?php if( $Prefac[Fk_Origen] == '2' ){ ?>
        readonly
      <?php } ?>
      value="<?php
        if( $Action == 'Edit' ){
          echo $Con[Precio];
        }else{
          echo $Pro[PrecioUnitario];
        }
      ?>"
      autocomplete="off"
    />
    <!-- End Precio -->
  </td>
  <!-- End Precio -->

  <!-- Cantidad -->
  <td>
    <!-- Cantidad -->
    <input
      data-required="true"
      data-type="number"
      class="form-control text-right font-size-13px Cantidad"
      name="Producto[<?php echo $Pos; ?>][Cantidad]"
      <?php if( $Prefac[Fk_Origen] == '2' ){ ?>
        readonly
      <?php } ?>
      value="<?php
        if( $Action == 'Edit' ){
          echo $Con[Cantidad];
        }else{
          echo '1';
        }
      ?>"
      autocomplete="off"
    />
    <!-- End Cantidad -->
  </td>
  <!-- End Cantidad -->

  <!-- Subtotal -->
  <td>
    <!-- Subtotal -->
    <input
      data-required="true"
      data-type="number"
      class="form-control text-right font-size-13px Subtotal"
      name="Producto[<?php echo $Pos; ?>][Subtotal]"
      <?php if( $Prefac[Fk_Origen] == '2' ){ ?>
        readonly
      <?php } ?>
      value="<?php
        if( $Action == 'Edit' ){
          echo $Con[Subtotal];
          $ASubTotal = $ASubTotal + $Con[Subtotal];
        }else{
          echo $Pro[PrecioUnitario];
          $ASubTotal = $ASubTotal + $Pro[PrecioUnitario];
        }
      ?>"
      autocomplete="off"
    />
    <!-- End Subtotal -->
  </td>
  <!-- End Subtotal -->

  <!--<td>
    <select class="from-control chosen-select DescuentoTipo" name="Producto[<?php echo $Pos; ?>][DescuentoTipo]">
      <option value="">-</option>
      <option value="percentage">%</option>
      <option value="amount">$</option>
    </select>
    <input class="form-control font-size-13px Descuento" name="Producto[<?php echo $Pos; ?>][Descuento]" autocomplete="off" />
  </td>-->

  <!-- Impuestos -->
  <td>
    <?php
      //Impuestos
      $Query = "
        SELECT
          imp.Id,
          tip.Nombre, tip.Operador,
          im.Impuesto
        FROM CatalogoPruductosImpuestos imp
        LEFT JOIN Impuestos im ON im.Id = imp.Fk_Impuesto
        LEFT JOIN ImpuestosTipos tip ON tip.Id = imp.Fk_ImpuestoTipo
        WHERE imp.Fk_Producto = '$Pro[Id]'
        ORDER BY tip.Id ASC
      ";
      $Impuestos = $mysqli->query($Query);
      $i = 0;
      if( $Action == 'Edit' ){
        $TotalPro = $Con[Subtotal];
      }else{
        $TotalPro = $Pro[PrecioUnitario];
      }
      mysqli_data_seek($Impuestos, 0);
      while($Imp = mysqli_fetch_array($Impuestos)) {
        $i = $i + 1;
        $Im = $Pro[PrecioUnitario] * $Imp[Impuesto];

        if( $Action == 'Edit' ){
          $Im = $Con[Subtotal] * $Imp[Impuesto];
        }else{
          $Im = $Pro[PrecioUnitario] * $Imp[Impuesto];
        }

        if( $Imp[Operador] == '+' ){
          $TotalPro = $TotalPro + $Im;
        }
        if( $Imp[Operador] == '-' ){
          $TotalPro = $TotalPro - $Im;
        }
    ?>
      <!-- Impueto -->
      <div class="text-center">

        <label style="margin:0px; font-size:12px;"><?php echo $Imp[Nombre]; ?>: <?php echo $Imp[Impuesto] * 100; echo " %"; ?></label>

        <!-- Impuesto Nombre -->
        <input
          type="hidden"
          readonly
          name="Producto[<?php echo $Pos; ?>][Impuesto][<?php echo $i; ?>][Nombre]"
          value="<?php echo $Imp[Nombre]; ?>"
        />
        <!-- End Impuesto Nombre -->

        <!-- Operador -->
        <input
          type="hidden"
          readonly
          class="Operador"
          value="<?php echo $Imp[Operador]; ?>"
        />
        <!-- End Operador -->

        <!-- Impuesto Valor -->
        <input
          type="hidden"
          readonly
          class="Impuesto"
          data-operador="<?php echo $Imp[Operador]; ?>"
          name="Producto[<?php echo $Pos; ?>][Impuesto][<?php echo $i; ?>][Valor]"
          value="<?php echo $Imp[Impuesto]; ?>"
        />
        <!-- End Impuesto Valor -->

        <!-- Producto Impuesto -->
        <input
          class="form-control text-center font-size-13px m-b-10 ProductoImpuesto"
          readonly
          name="Producto[<?php echo $Pos; ?>][Impuesto][<?php echo $i; ?>][Monto]"
          value="<?php
            if( $Action == 'Edit' ){
              echo $Con[Iva];
              $AImpuestos = $AImpuestos + $Con[Iva];
            }else{
              echo $Im;
              $AImpuestos = $AImpuestos + $Im;
            }
          ?>"
        />
        <!-- End Producto Impuesto -->

      </div>
      <!-- End Impuesto -->
    <?php } ?>

    <?php if( $Prefac[Fk_Origen] == '2' ){ ?>
      <!-- Origen Api -->

      <!-- Impuesto Nombre -->
      <input
        type="hidden"
        readonly
        name="Producto[<?php echo $Pos; ?>][Impuesto][<?php echo $i; ?>][Nombre]"
        value="IVA"
      />
      <!-- End Impuesto Nombre -->

      <!-- Operador -->
      <input
        type="hidden"
        readonly
        class="Operador"
        value="+"
      />
      <!-- End Operador -->

      <!-- Impuesto Valor -->
      <input
        type="hidden"
        readonly
        class="Impuesto"
        data-operador="<?php echo $Imp[Operador]; ?>"
        name="Producto[<?php echo $Pos; ?>][Impuesto][<?php echo $i; ?>][Valor]"
        value="<?php echo $Con[ImpuestoPor]; ?>"
      />
      <!-- End Impuesto Valor -->

      <!-- Producto Impuesto -->
      <input
        type="hidden"
        class="form-control text-center font-size-13px m-b-10 ProductoImpuesto"
        readonly
        name="Producto[<?php echo $Pos; ?>][Impuesto][<?php echo $i; ?>][Monto]"
        value="<?php
            echo $Con[Iva];
            $AImpuestos = $AImpuestos + $Con[Iva];
        ?>"
      />
      <!-- End Producto Impuesto -->

      <!-- End Origen Api -->
    <?php } ?>

    <?php
      if( $Prefac[Fk_Origen] == '2' ){
        $Im = $Con[Iva];
        $TotalPro = $TotalPro + $Im;
        $AImpuestos = $AImpuestos + $Im;
    ?>
      <div class="text-right">
        <?php echo number_format($Con[Iva],2,'.',','); ?>
      </div>
    <?php } ?>

  </td>
  <!-- End Impuestos -->

  <!-- Total -->
  <td>
    <div class="TotalProDiv text-right">
      <?php
        echo $TotalPro;
        $ATotal = $ATotal + $TotalPro;
      ?>
    </div>
    <input class="TotalPor" type="hidden" name="Producto[<?php echo $Pos; ?>][Total]" value="<?php echo $TotalPro; ?>" />
  </td>
  <!-- End Total -->

  <td>
    <?php if( $Prefac[Fk_Origen] == '1' ){ ?>
      <!-- Btn Borrar -->
      <button type="button" class="btn btn-sm btn-danger DelPro"><i class="fa fa-times"></i></button>
      <!-- End Btn Borrar -->
    <?php } ?>
  </td>
</tr>
<?php
  require_once($Position.'config/cerrarconexion.php');
?>
